package projectzombie.time;

import java.awt.AWTException;
import java.awt.Robot;
import java.awt.event.KeyEvent;

import mainloop.task.IMainloopTask;

public class NoSleep implements IMainloopTask
{

	@Override
	public boolean MainLoopDelay(long millis) {
		return millis > 10000;
	}

	@Override
	public boolean MainLoopRepeat() {
		return true;
	}

	@Override
	public void MainLoopUpdate()
	{
		try {
			Robot robot = new Robot();
			robot.keyPress(KeyEvent.VK_F15);
			robot.keyRelease(KeyEvent.VK_F15);	
		}
		
		catch(AWTException e) {
			e.printStackTrace();
		}
	}

}
